Skip to main content
Infrastructure/Lifecycle Upgrade

ListUpgradePlans

List upgrade plans by bundle name, plan status, and active state.

GET/api/v1/lifecycle/upgrades/plans

Operation ID

ListUpgradePlans

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • bundleName
    String

    Bundle name used to filter the results

  • status
    String

    Status value used to filter the results

  • active
    Boolean

    Whether to return only active records

    Example: true

  • limit
    Integer

    Maximum number of records to return

    Example: 0

  • offset
    Integer

    Number of records to skip before returning results

    Example: 0

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Collection of result items

    Example: (nested array)

    • uuid
      String

      Unique identifier of this resource

      Example: value

    • name
      String

      Human-readable name of this resource

      Example: my-resource

    • status
      String

      Status for this resource

      Example: value

    • executorKind
      String

      Executor kind for this resource

      Example: value

    • planScope
      String

      Plan scope for this resource

      Example: value

    • operation
      String

      Operation for this resource

      Example: value

    • updateType
      String

      Update type for this resource

      Example: value

    • createdBy
      String

      Created by for this resource

      Example: value

    • bundleName
      String

      Bundle name for this resource

      Example: value

    • targetBundleVersionUuid
      String

      Target bundle version uuid for this resource

      Example: value

    • fromVersion
      String

      From version for this resource

      Example: value

    • fromRelease
      String

      From release for this resource

      Example: value

    • toVersion
      String

      To version for this resource

      Example: value

    • toRelease
      String

      To release for this resource

      Example: value

    • precheckRevision
      Integer

      Precheck revision for this resource

      Example: 10

    • precheckStatus
      String

      Precheck status for this resource

      Example: value

    • backupRecordUuid
      String

      Backup record uuid for this resource

      Example: value

    • autoExecute
      Boolean

      Auto execute for this resource

      Example: true

    • blockedReason
      String

      Blocked reason for this resource

      Example: value

    • failureType
      String

      Failure type for this resource

      Example: value

    • currentTaskUuid
      String

      Current task uuid for this resource

      Example: value

    • currentStepUuid
      String

      Current step uuid for this resource

      Example: value

    • failedTaskUuid
      String

      Failed task uuid for this resource

      Example: value

    • failedStepUuid
      String

      Failed step uuid for this resource

      Example: value

    • failedLifecycleTaskUuid
      String

      Failed lifecycle task uuid for this resource

      Example: value

    • nextAction
      String

      Next action for this resource

      Example: value

    • lastErrorCode
      String

      Last error code for this resource

      Example: value

    • lastErrorMessage
      String

      Last error message for this resource

      Example: value

    • startedAt
      String

      Started at for this resource

      Example: 2026-01-15T08:00:00Z

    • completedAt
      String

      Completed at for this resource

      Example: 2026-01-15T08:00:00Z

    • createdAt
      String

      Created at for this resource

      Example: 2026-01-15T08:00:00Z

    • updatedAt
      String

      Updated at for this resource

      Example: 2026-01-15T08:00:00Z

    • targetManifestSetChecksum
      String

      Target manifest set checksum for this resource

      Example: value

    • targetMembershipChangesChecksum
      String

      Target membership changes checksum for this resource

      Example: value

    • observeDurationNs
      String

      Observe duration ns for this resource

      Example: 10

    • nextActionApi
      String

      Next action api for this resource

      Example: value

    • nextActionReason
      String

      Next action reason for this resource

      Example: value

    • manualActionRequired
      Boolean

      Manual action required for this resource

      Example: true

  • total
    String

    Total for this resource

    Example: 10

  • limit
    Integer

    Limit for this resource

    Example: 10

  • offset
    Integer

    Offset for this resource

    Example: 10

  • Change Time

    AddedResponse fields manualActionRequired
    View API